%define makver %(echo %version | cut -d. -f1-2)
Name:          libglade
Version:       2.6.4
Release:       4mamba
Summary:       Library for Glade, a user interface builder for GTK+ and GNOME
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnome.org
Source:        http://ftp.acc.umu.se/pub/GNOME/sources/libglade/%{majver}/libglade-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libatk-devel
BuildRequires: libcairo-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk2-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libpango-devel
BuildRequires: libxml2-devel
## AUTOBUILDREQ-END
BuildRequires: pkgconfig
BuildRequires: libxml2-utils
BuildRequires: xml-common
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Library for Glade, a user interface builder for GTK+ and GNOME.

%package devel
Summary:       Devel package for libbonobo
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Library for Glade, a user interface builder for GTK+ and GNOME
This is the devel package.

%package apidocs
Summary:       %{pkgname} API documentation
Group:         Documentation
Requires:      gtk-doc

%description apidocs
%{pkgname} API documentation.

%debug_package

%prep
%setup -q
sed -i "s,| arm-\*  |,| aarch64-\* | arm-\*  |," config.sub

%build
%configure --libexecdir=%{_sbindir}
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libglade-2.0.so.*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libglade-?.?/
%{_includedir}/libglade-?.?/*
%{_bindir}/libglade-convert
%{_libdir}/libglade-2.0.a
%{_libdir}/libglade-2.0.la
%{_libdir}/libglade-2.0.so
%{_libdir}/pkgconfig/libglade*.pc
%{_datadir}/xml/libglade/glade-?.?.dtd

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/%{name}
%{_datadir}/gtk-doc/html/%{name}/*

%changelog
* Sat Jan 23 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.4-4mamba
- rebuilt with debug package and aarch64 fix

* Sun Jun 17 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.4-3mamba
- added buildrequirements and other specfile fixes

* Fri Jul 02 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.4-2mamba
- rebuilt with libpng 1.4

* Wed Jun 17 2009 Automatic Build System <autodist@mambasoft.it> 2.6.4-1mamba
- automatic update by autodist

* Sun Nov 02 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.3-1mamba
- automatic update by autodist

* Mon Oct 29 2007 Fabio Giani <fabio.giani@gmail.com> 2.6.2-1mamba
- update to 2.6.2

* Tue Jan 09 2007 Davide Madrisan <davide.madrisan@qilinux.it> 2.6.0-1qilnx
- update to version 2.6.0 by autospec
- added missing build requirements for xml stuff

* Mon Aug 29 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.5.1-1qilnx
- update to version 2.5.1 by autospec
- update dynamic linker run time bindings

* Mon Aug 16 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.0-1qilnx
- new version build

* Tue Dec 30 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.1-1qilnx
- first build
